Bug 439033 - window for adding agent certificate in console is badly sized
window for adding agent certificate in console is badly sized
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Console (Show other bugs)
1.0
x86_64 Linux
medium Severity low
: 1.0
: ---
Assigned To: Andrew Wnuk
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2008-03-26 12:35 EDT by David Stutzman
Modified: 2015-01-04 18:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:27:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the funky looking window (13.05 KB, image/png)
2008-03-26 12:35 EDT, David Stutzman
no flags Details
Proposed fix to incorrect window layout. (863 bytes, text/plain)
2008-04-09 19:38 EDT, Andrew Wnuk
no flags Details
Corrected window importing certificate (8.24 KB, image/png)
2008-04-09 19:43 EDT, Andrew Wnuk
no flags Details
spec file diff (899 bytes, text/plain)
2008-04-16 12:40 EDT, Andrew Wnuk
no flags Details
screen shot of cert import window (224.08 KB, image/png)
2009-06-11 15:19 EDT, Jenny Galipeau
no flags Details

  None (edit)
Description David Stutzman 2008-03-26 12:35:26 EDT
Description of problem:
The textarea where you are supposed to paste in the certificate has a really
small size and you can't really read the text in it.  The rest of the window is
sized relatively large

Version-Release number of selected component (if applicable):
pki-console-ui-1.0.0-1.fc8
idm-console-framework-1.1.1-1.fc8
pki-console-1.0.0-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. Log into CA and go to Users and Groups
2. click on a user and click the Certificates button
3. click import button and you'll see the funky window (added screenshot as
attachment)
  
Actual results:
see attachment

Expected results:
the textarea should take up most of the area of the dialog

Additional info:
Comment 1 David Stutzman 2008-03-26 12:35:26 EDT
Created attachment 299189 [details]
the funky looking window
Comment 2 Andrew Wnuk 2008-04-09 19:38:16 EDT
Created attachment 301909 [details]
Proposed fix to incorrect window layout.

Minor correction to configuration of GridBagLayout manager.
Comment 3 Andrew Wnuk 2008-04-09 19:43:24 EDT
Created attachment 301910 [details]
Corrected window importing certificate
Comment 4 Jack Magne 2008-04-09 19:44:46 EDT
attachment (id=301909) +jmagne
Comment 5 Andrew Wnuk 2008-04-09 19:51:38 EDT
svn commit CertImportDialog.java
Sending        CertImportDialog.java
Transmitting file data .
Committed revision 19.
Comment 6 Andrew Wnuk 2008-04-16 12:40:50 EDT
Created attachment 302636 [details]
spec file diff
Comment 7 Matthew Harmsen 2008-04-16 12:44:01 EDT
attachment (id=302636) +mharmsen
Comment 8 Andrew Wnuk 2008-04-16 12:48:40 EDT
svn commit pki-console.spec
Sending        pki-console.spec
Transmitting file data .
Committed revision 21.
Comment 9 Chandrasekar Kannan 2008-08-26 20:27:22 EDT
Bug already MODIFIED. setting target CS8.0 and marking screened+
Comment 10 Jenny Galipeau 2009-06-11 15:19:20 EDT
Created attachment 347462 [details]
screen shot of cert import window

verified see attached screen shot

Note You need to log in before you can comment on or make changes to this bug.